<html>
<head>
<title>OgreD3D11Driver.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
      <li class="navelem"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D11Driver.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D11Driver_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D11DRIVER_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D11DRIVER_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="keyword">namespace </span>Ogre
<a name="l00034"></a>00034 {
<a name="l00035"></a>00035 
<a name="l00036"></a>00036     <span class="keyword">class </span>D3D11VideoModeList;
<a name="l00037"></a>00037     <span class="keyword">class </span>D3D11VideoMode;
<a name="l00038"></a>00038 
<a name="l00039"></a><a class="code" href="classOgre_1_1D3D11Driver.html">00039</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a>
<a name="l00040"></a>00040     {
<a name="l00041"></a>00041     <span class="keyword">private</span>:
<a name="l00042"></a>00042         <span class="comment">// D3D only allows one device per adapter, so it can safely be stored</span>
<a name="l00043"></a>00043         <span class="comment">// here as well.</span>
<a name="l00044"></a><a class="code" href="classOgre_1_1D3D11Driver.html#a8a611d5fba3d3691c2c5039773c3d078">00044</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11Driver.html#a8a611d5fba3d3691c2c5039773c3d078">mAdapterNumber</a>;
<a name="l00045"></a><a class="code" href="classOgre_1_1D3D11Driver.html#a342c683a036544fda173e379a9327035">00045</a>         DXGI_ADAPTER_DESC1 <a class="code" href="classOgre_1_1D3D11Driver.html#a342c683a036544fda173e379a9327035">mAdapterIdentifier</a>;
<a name="l00046"></a><a class="code" href="classOgre_1_1D3D11Driver.html#ab2640469b43336ee101afccf3132a3a4">00046</a>         DXGI_MODE_DESC <a class="code" href="classOgre_1_1D3D11Driver.html#ab2640469b43336ee101afccf3132a3a4">mDesktopDisplayMode</a>;
<a name="l00047"></a><a class="code" href="classOgre_1_1D3D11Driver.html#a6fa85e8479381c965b74927291adc5ae">00047</a>         <a class="code" href="classOgre_1_1D3D11VideoModeList.html">D3D11VideoModeList</a>* <a class="code" href="classOgre_1_1D3D11Driver.html#a6fa85e8479381c965b74927291adc5ae">mVideoModeList</a>;
<a name="l00048"></a><a class="code" href="classOgre_1_1D3D11Driver.html#aee8ec0e8ef6da974d7f7c0f87304ecde">00048</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11Driver.html#aee8ec0e8ef6da974d7f7c0f87304ecde">tempNo</a>;
<a name="l00049"></a><a class="code" href="classOgre_1_1D3D11Driver.html#a5f8c68763886aa2e0fae2e13187f9eff">00049</a>         <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11Driver.html#a5f8c68763886aa2e0fae2e13187f9eff">driverCount</a>;
<a name="l00050"></a><a class="code" href="classOgre_1_1D3D11Driver.html#acff3bbd8f9eab54fa7a4706cf70e993a">00050</a>         IDXGIAdapter1*  <a class="code" href="classOgre_1_1D3D11Driver.html#acff3bbd8f9eab54fa7a4706cf70e993a">mDXGIAdapter</a>;
<a name="l00051"></a>00051 
<a name="l00052"></a>00052 
<a name="l00053"></a>00053     <span class="keyword">public</span>:
<a name="l00054"></a>00054         <span class="comment">// Constructors</span>
<a name="l00055"></a>00055         <a class="code" href="classOgre_1_1D3D11Driver.html#aab9a9f015e0570f3a4c30873c41ed07e">D3D11Driver</a>();      <span class="comment">// Default</span>
<a name="l00056"></a>00056         <a class="code" href="classOgre_1_1D3D11Driver.html#aab9a9f015e0570f3a4c30873c41ed07e">D3D11Driver</a>( <span class="keyword">const</span> <a class="code" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a> &amp;ob );   <span class="comment">// Copy</span>
<a name="l00057"></a>00057         <a class="code" href="classOgre_1_1D3D11Driver.html#aab9a9f015e0570f3a4c30873c41ed07e">D3D11Driver</a>( <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> adapterNumber,  IDXGIAdapter1* pDXGIAdapter );
<a name="l00058"></a>00058         <a class="code" href="classOgre_1_1D3D11Driver.html#a0d8d11256afdf365dd292a43958df151">~D3D11Driver</a>();
<a name="l00059"></a>00059 
<a name="l00060"></a>00060         <span class="comment">// Information accessors</span>
<a name="l00061"></a>00061         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1D3D11Driver.html#ad4eb4e9a2fe4d2f9e32ebabf365f2149">DriverName</a>() <span class="keyword">const</span>;
<a name="l00062"></a>00062         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1D3D11Driver.html#a2ca8f3f0a437f10e00e60a4c004a7929">DriverDescription</a>() <span class="keyword">const</span>;
<a name="l00063"></a>00063 
<a name="l00064"></a>00064         <span class="comment">// change the device</span>
<a name="l00065"></a>00065         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11Driver.html#a583c70ba8861108fa0e90abccd5930c9">getAdapterNumber</a>() <span class="keyword">const</span>;
<a name="l00066"></a>00066         <span class="keyword">const</span> DXGI_ADAPTER_DESC1&amp; <a class="code" href="classOgre_1_1D3D11Driver.html#a5803b20923288efa78a0a97c06f0a9b6">getAdapterIdentifier</a>() <span class="keyword">const</span>;
<a name="l00067"></a>00067         <span class="keyword">const</span> DXGI_MODE_DESC&amp; <a class="code" href="classOgre_1_1D3D11Driver.html#af916e2c7e9ca166879c3e91ef39df2bf">getDesktopMode</a>() <span class="keyword">const</span>;
<a name="l00068"></a>00068         IDXGIAdapter1* <a class="code" href="classOgre_1_1D3D11Driver.html#ad710d36b1b116e73dd526e98ca3216af">getDeviceAdapter</a>() <span class="keyword">const</span>;
<a name="l00069"></a>00069         <a class="code" href="classOgre_1_1D3D11VideoModeList.html">D3D11VideoModeList</a>* <a class="code" href="classOgre_1_1D3D11Driver.html#a4977e259f56cfce761f858c4cad71428">getVideoModeList</a>();
<a name="l00070"></a>00070     };
<a name="l00071"></a>00071 }
<a name="l00072"></a>00072 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
